
:root {

  /**
   * coloress
   */

  --white: hsl(0, 0%, 100%);
  --black: hsl(0, 0%, 0%);
  --white-gray: #E2E2E2;
  --gray: #858585;


  /**
   * tipografia
   */

  --ff-oswald: 'Oswald', sans-serif;
  --ff-rubik: 'Rubik', sans-serif;
  --acentos: "Inter", sans-serif;
  --titulos: "Elza Narrow", sans-serif;
  --texto: "Proxima Nova", sans-serif;
  --hispanica: "Oswald", sans-serif;


  
  --headline-lg: 5rem;
  --headline-md: 3rem;
  --headline-sm: 2rem;
  --title-lg: 1.5rem;
  --title-md: 1.3rem;
  --title-sm: 1.2rem;
  
  --fw-500: 500;
  --fw-700: 700;



  --section-padding: 120px;



  --shadow-1: 0px 2px 20px hsla(209, 36%, 72%, 0.2);
  --shadow-2: 0 4px 16px hsla(0, 0%, 0%, 0.06);



  --radius-circle: 50%;
  --radius-12: 12px;
  --radius-6: 6px;
  --radius-4: 4px;

  /**
   * transition
   */

  --transition-1: 0.25s ease;
  --transition-2: 0.5s ease;
  --transition-3: 1s ease;
  --cubic-in: cubic-bezier(0.51, 0.03, 0.64, 0.28);
  --cubic-out: cubic-bezier(0.05, 0.83, 0.52, 0.97);

}


*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li { list-style: none; }

a,
img,
span,
time,
input,
button,
ion-icon { display: block; }

a {
  color: inherit;
  text-decoration: none;
}

img { height: auto; }

input,
button {
  background: none;
  border: none;
  font: inherit;
}

input {
  width: 100%;
  outline: none;
}

button { cursor: pointer; }

ion-icon { pointer-events: none; }

address { font-style: normal; }

html {
  font-size: 10px;
  font-family: var(--ff-rubik);
  scroll-behavior: smooth;
}

body {
  background-color: var(--white-gray);
  font-size: 1.6rem;
  color: var(--independece);
  line-height: 1.8;
  overflow: hidden;
}

body.loaded { overflow-y: visible; }

body.nav-active { overflow: hidden; }




.container { padding-inline: 16px; }

.headline-lg {
  font-size: var(--headline-lg);
  color: var(--white);
  font-weight: var(--fw-500);
  line-height: 1.2;
}

.headline-md {
  font-size: var(--headline-md);
  font-weight: var(--fw-700);
}

.headline-lg,
.headline-md { font-family: var(--ff-oswald); }

.headline-md,
.headline-sm { line-height: 1.3; }

.headline-md,
.headline-sm { color: var(--midnight-green); }

.headline-sm { font-size: var(--headline-sm); }

.title-lg { font-size: var(--title-lg); }

.title-md { font-size: var(--title-md); }

.title-sm { font-size: var(--title-sm); }

.social-list { display: flex; }

.section { padding-block: var(--section-padding); }

.has-before,
.has-after {
  position: relative;
  z-index: 1;
}

.has-before::before,
.has-after::after {
  content: "";
  position: absolute;
}

.btn {
  background-color: var(--verdigris);
  color: var(--white);
  font-weight: var(--fw-700);
  padding: 0px 15px;
  display: flex;
  align-items: center;
  gap: 0px;
  border-radius: var(--radius-6);
  overflow: hidden;
  margin-inline-start: auto;
}

.btn::before {
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: var(--eerie-black);
  border-radius: var(--radius-6);
  transition: var(--transition-2);
  z-index: -1;
}

.btn:is(:hover, :focus-visible)::before { transform: translateX(100%); }

.w-100 { width: 100%; }

.grid-list {
  display: grid;
  gap: 40px 28px;
}

.text-center { text-align: center; }

[data-reveal] {
  opacity: 0;
  transition: var(--transition-2);
}

[data-reveal].revealed { opacity: 1; }

[data-reveal="bottom"] { transform: translateY(50px); }

[data-reveal="bottom"].revealed { transform: translateY(0); }

[data-reveal="left"] { transform: translateX(-50px); }

[data-reveal="right"] { transform: translateX(50px); }

[data-reveal="left"].revealed,
[data-reveal="right"].revealed { transform: translateX(0); }





/*-----------------------------------*\
  #PRELOADER
\*-----------------------------------*/

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: var(--verdigris);
  display: grid;
  place-items: center;
  z-index: 6;
  transition: var(--transition-1);
}

.preloader.loaded {
  visibility: hidden;
  opacity: 0;
}

.preloader .circle {
  width: 50px;
  height: 50px;
  border: 4px solid var(--white);
  border-radius: var(--radius-circle);
  border-block-start-color: transparent;
  animation: rotate360 1s ease infinite;
}

@keyframes rotate360 {
  0% { transform: rotate(0); }
  100% { transform: rotate(1turn); }
}





/*-----------------------------------*\
  #HEADER
\*-----------------------------------*/

/*.header .btn { display: none; }*/

.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 95%;
  padding-block: 10px;
  z-index: 4;
  background-color: black;
  margin-top: 15px;
  border-radius: var(--radius-6);
  border: rgba(255, 255, 255, 0.2) solid 1px;
  right: 50%;
  left: 50%;
  transform: translateX(50%);
  transform: translateX(-50%);
}

@keyframes headerActive {
  0% { transform: translateY(-100%); }
  100% { transform: translateY(0); }
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-open-btn {
  color: var(--white);
  font-size: 4rem;
  font-weight: 00;
}

.navbar,
.overlay {
  position: fixed;
  top: 0;
  width: 286px;
  height: 100vh;
  
}

.navbar {
  right: -300px;
  max-width: 300px;
  background-color: var(--rich-black-fogra-29);
  z-index: 999;
  transition: 0.25s var(--cubic-in);
  visibility: hidden;
}

.navbar.active {
  transform: translate(-280px,-16px);
  visibility: visible;
  transition: 0.5s var(--cubic-out);
  background-color: black;
  opacity: .93;
  padding: 20px 15px;
}

.navbar-top {
  position: relative;
  padding-inline: 25px;
  padding-block: 20px 20px;
}

.nav-close-btn {
  position: absolute;
  top: 15px;
  right: 20px;
  color: var(--white);
  font-size: 2.8rem;
}

.navbar-list {
  margin-block-end: 20px;
  border-block-end: 1px solid var(--white_a10);
  padding-left: 20px;
}

.navbar-item { 
  border-block-start: 1px solid var(--white_a10); 
  width: 80%;
  padding-left: 20px;
}

.navbar-item a{
  border-bottom: white solid 1px;
}

.navbar-link {
  color: var(--white);
  text-transform: uppercase;
  padding: 10px 2px;
  line-height: 2rem;
  transition: .1s;
}

.navbar-link::after{
  content: "//";
  font-size: inherit;
}

.navbar-border{
  width: 100%;
  border-radius: 5px;
  border: var(--gray) solid 1px;
}

.social-list {
  justify-content: center;
  gap: 10px;
  color: var(--white);
  font-size: 1.8rem;
}

.overlay {
  right: 0;
  opacity: .9;
  visibility: hidden;
  transition: var(--transition-2);
  z-index: 2;
}

.overlay.active {
  /*transform: translateX(-100%);*/
  visibility: visible;
}


.nav-reservar-btn{
  color: var(--black);
  background-color: white;
  font-family: var(--hispanica);
  border: var(--black) solid 1px;
  font-size: 1rem;
  padding: 1px 15px;
  border-radius: 1px;
  font-weight: bold;
  cursor: pointer;
  transition: .3s;
}
.nav-reservar-btn:hover{
  background-color: var(--black);
  color: var(--white);
  border: var(--gray) solid 1px;
}

.nav-clases-btn{
  color: var(--white);
  background-color: var(--black);
  border: var(--gray) solid 1px;
  font-family: var(--hispanica);
  font-size: 1rem;
  padding: 1px 15px;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
  transition: .3s;
}

.nav-clases-btn:hover{
  background-color: var(--white);
  color: var(--black);
}

.details-list{
  color: white;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin-top: 20px;
}

.details-list p{
  font-size: 1.2rem;
  font-family: var(--acentos);
  font-weight: bolder;
}
.details-list h5{
  font-size: .7rem;
  line-height: 1rem;
  font-family: var(--texto);
  font-weight: 300;
}
.details-list h4{
  font-weight: 100;
  font-size: 1rem;
}

.terms-list{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 2px;
  margin-top: 10px;
  color: white;
  font-size: .7rem;
  font-family: var(--acentos);
}

.logo-hispanica{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: 10px 0 15px 0;
}


/*-----------------------------------*\
  #FOOTER
\*-----------------------------------*/

.footer {
  color: var(--white);
}

.footer-top {
  display: grid;
  gap: 40px;
  padding-block-end: 60px;
}

.footer-brand {
  background-color: var(--ming);
  padding: 32px;
  border-radius: var(--radius-6);
}

.footer .logo { margin-block-end: 20px; }

.contact-item {
  display: flex;
  align-items: flex-start;
  gap: 12px;
  margin-block-start: 12px;
}

.contact-item .item-icon { font-size: 4rem; }

.contact-link {
  display: inline;
  transition: var(--transition-1);
}

.contact-link:is(:hover, :focus-visible) { color: var(--verdigris); }

.footer-list-title {
  color: var(--white);
  font-weight: var(--fw-700);
  margin-block-end: 20px;
}

.footer .text { opacity: 0.7; }

.footer .address {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-block-start: 20px;
}

.footer .address ion-icon {
  font-size: 4rem;
  flex-shrink: 0;
}

.footer-link {
  margin-block-start: 8px;
  transition: var(--transition-1);
}

.footer-link:is(:hover, :focus-visible) { color: var(--verdigris); }

.footer-form .input-field {
  color: var(--white);
  border: 1px solid var(--white_a20);
  border-radius: var(--radius-4);
  padding: 8px 20px;
}

.footer-form .input-field::placeholder { color: inherit; }

.footer-form .btn {
  width: 100%;
  justify-content: center;
  margin-block: 12px 28px;
}

.footer-bottom {
  padding-block: 32px;
  border-block-start: 1px solid var(--white_a20);
}

.footer-bottom .social-list {
  justify-content: flex-start;
  gap: 8px;
  margin-block-start: 16px;
}

.footer-bottom .social-link {
  font-size: 1.4rem;
  padding: 12px;
  background-color: var(--white_a10);
  border-radius: var(--radius-circle);
  transition: var(--transition-1);
}

.footer-bottom .social-link:is(:hover, :focus-visible) { background-color: var(--verdigris); }





/*-----------------------------------*\
  #BACK TO TOP
\*-----------------------------------*/

.back-top-btn {
  position: fixed;
  bottom: 30px;
  right: 30px;
  background-color: var(--verdigris);
  color: var(--white);
  padding: 16px;
  font-size: 2rem;
  border-radius: var(--radius-circle);
  transition: var(--transition-1);
  opacity: 0;
  z-index: 3;
}

.back-top-btn:is(:hover, :focus-visible) { background-color: var(--eerie-black); }

.back-top-btn.active {
  transform: translateY(-10px);
  opacity: 1;
}





/*-----------------------------------*\
  #MEDIA 
\*-----------------------------------*/

@media (min-width: 768px) {
  :root {
    --headline-lg: 8rem;
    --headline-md: 4.8rem;

  }
  .container {
    width: 100%;
    margin-inline: auto;
  }

  .header .btn { display: block; }

  .nav-open-btn { margin-inline-start: 1px; }

  .header .container { gap: 0px; }



  /**
   * FOOTER
   */

  .footer-top { grid-template-columns: 1fr 1fr; }

  .footer-brand { grid-column: 1 / 3; }

  .contact-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 24px;
  }

  .footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .footer-bottom .social-list { margin-block-start: 0; }

}




@media (min-width: 992px) {


  .container { max-width: 940px; }


}



@media (min-width: 1200px) {


  .container{max-width: 90%;}

  /**
   * HEADER
   */

  .header { 
    padding-block: 15px;
    transition: var(--transition-2);
  }

  .nav-open-btn,
  .overlay,
  .navbar-top,
  .navbar .social-list { display: none; }

  .navbar,
  .navbar.active,
  .navbar-list {
    all: unset; 
    display: block;
  }

  .navbar { margin-inline-start: auto; }

  .navbar-list {
    display: flex;
    gap: 8px;
  }

  .navbar-item { border-block-start: none; }

  .navbar-link {
    --title-md: 1.8rem;
    font-weight: var(--fw-500);
    padding-inline: 16px;
    text-transform: capitalize;
  }

  .details-list,.terms-list,.logo-hispanica{
    display: none;
  }

  .navbar-border,.navbar-item a{
    border: none;
  }

  .navbar-item a{
    border: none;
    white-space: nowrap;
    font-size: 1.4rem;
    font-weight: lighter;
  }

  .navbar-item{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0;
  }

  .navbar-link{
    padding-inline:5px;
  }

  .navbar-link::after {
    content: "";
  }

  .navbar-list li:nth-child(1)::before {
    content: "";
    font-size: inherit;
  }

  .navbar-list li::before{
    content: '/';
    color: white;
    font-size: 2rem;
    margin-right: 10px;
  }



  /**
   * FOOTER
   *

  .footer { background-size: auto; }

  .footer-top { grid-template-columns: repeat(4, 1fr); }

  .footer-brand {
    grid-column: 1 / 5;
    padding: 28px 56px;
    display: grid;
    grid-template-columns: 0.3fr 1fr;
    align-items: center;
  }

  .footer .logo { margin-block-end: 0; }

  .contact-list { justify-content: space-between; }

  .contact-list::after {
    top: 0;
    left: 50%;
    width: 2px;
    height: 100%;
    background-color: var(--white_a20);
  }

  .contact-item { margin-block-start: 0; }
*/
}


@font-face {
    font-family: 'Elza Narrow';
    src: url('../fonts/TÍTULOS/elza-narrow.otf') format('opentype');
}

@font-face {
    font-family: 'Proxima Nova';
    src: url('../fonts/CUADROS_DE_TEXTO/ProximaNovaRegular.ttf') format('truetype');
}

@font-face {
    font-family: 'Inter';
    src: url('../fonts/ACENTOS/Inter-VariableFont_opsz.ttf') format('truetype');
}




/*FOOTER*/

.footer {
    position: relative;
    margin-top: 50px;
    width: 100vw;
    background-color: black;
    padding-top: 40px;
    padding-bottom: 40px;
}

.footer-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    flex-direction: row;
    justify-content: space-between;
    margin: auto 20px;
}

.footer-left{
  line-height: 1.5;
  text-align: left;
  font-size: 1rem;
  white-space: nowrap;
  font-style: italic;
}

.footer-middle {
  display: flex;
  flex-direction: column;
  text-align: center;
  line-height: 1.5;
  font-size: 1rem;
  filter: grayscale(1%);
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.footer-middle img {
  filter: brightness(0) invert(1);
}


.footer-right {
  display: flex;
  text-align: right;
  line-height: 2.5;
  font-size: 1rem;
  gap: 0px 10px;
  flex-direction: column;
  white-space: nowrap;
}

.footer-right .img {
  display: flex;
  flex-direction: row;
  justify-content: right;
  align-items: center;
}

@media (max-width: 568px) {
  .footer-container {
    flex-direction: column;
    gap: 40px;
    margin: auto 10px;
  }
  
  .footer-left,
  .footer-middle,
  .footer-right {
    text-align: center;
    white-space: normal;
  }
  
  .footer-right .img {
    justify-content: center;
  }
}


.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 95%;
  padding-block: 10px;
  z-index: 4;
  background-color: black;
  margin-top: 15px;
  border-radius: var(--radius-6);
  right: 50%;
  left: 50%;
  transform: translateX(50%);
  transform: translateX(-50%);
}

.btn {
  background-color: var(--verdigris);
  color: var(--white);
  font-weight: var(--fw-700);
  padding: 0px 15px;
  display: flex;
  align-items: center;
  gap: 0px;
  border-radius: var(--radius-6);
  overflow: hidden;
  margin-inline-start: auto;
}

.navbar-link:hover{
  scale: 1.02;
  filter: invert(0);
  font-weight: bolder;
  
}